Bug 1919997 - Unable to read font
Summary: Unable to read font
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: GraphicsMagick
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-25 14:24 UTC by Remi Collet
Modified: 2021-02-10 01:46 UTC (History)
2 users (show)

Fixed In Version: GraphicsMagick-1.3.36-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-10 01:46:19 UTC
Type: Bug


Attachments (Terms of Use)
0001-fix-bundle-fonts-on-epel8-1919997.patch (1.65 KB, patch)
2021-01-25 14:36 UTC, Remi Collet
no flags Details | Diff

Description Remi Collet 2021-01-25 14:24:05 UTC
Only affects version  	1.3.36-1.el8

Running php-pecl-gmagick test suite

001+ Fatal error: Uncaught GmagickException: Unable to read font (/usr/share/GraphicsMagick-1.3.36/urw-fonts/n019003l.pfb) in /builddir/build/BUILD/php-pecl-gmagick-2.0.5~RC1/NTS/tests/gmagickdraw_045_setFontFamily_basic.php:37


Indeed this file is missing.

Digging in the spec file, I notice how fonts are bundled on EL-8 because of missing urw-base35-fonts-legacy.

Comment 1 Remi Collet 2021-01-25 14:36:32 UTC
Created attachment 1750531 [details]
0001-fix-bundle-fonts-on-epel8-1919997.patch

git format-patch fixing this issue.

Move fonts installation AFTER directory cleanup

Comment 2 Remi Collet 2021-01-25 14:37:45 UTC
With attached patch, fonts are now provided and php-pecl-gmagick test suite passes.

Comment 3 Fedora Update System 2021-01-25 16:44:55 UTC
FEDORA-EPEL-2021-a67c7cb2e0 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-a67c7cb2e0

Comment 4 Fedora Update System 2021-01-26 01:27:54 UTC
FEDORA-EPEL-2021-a67c7cb2e0 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-a67c7cb2e0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-02-10 01:46:19 UTC
FEDORA-EPEL-2021-a67c7cb2e0 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.